# class toParamGet

A help class to parse SQL for input/output bindings and if available also pop up a dialog and ask for values. More...

Definition | `#include <toparamget.h>`
Inherits | QDialog (qt) [public ], toHelpContext [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Static Methods

- static toQList getParam (toConnection &conn,QWidget *parent,QString &str,bool interactive=true)
- static void setDefault (toConnection &conn,const QString &name,const QString &val)

#### Protected Methods

- virtual void resizeEvent (QResizeEvent *e)

## Detailed Description

A help class to parse SQL for input/output bindings and if available also pop up a dialog and ask for values. Also maintains an internal cache of old values.

void resizeEvent (QResizeEvent *e)

### resizeEvent

[protected virtual]

toQList getParam (toConnection &conn,QWidget *parent,QString &str,bool interactive=true)

### getParam

[static]

Get parameters for specified SQL string.

Parameters:

conn | Connection to get binds for.
parent | Parent widget if dialog is needed.
str | SQL to parse for bindings. Observe that this string can be changed to further declare the binds.
interactive | If not interactive simply rewrite the query and pass on the defaults.

Returns: Returns a list of values to feed into the query.

void setDefault (toConnection &conn,const QString &name,const QString &val)

### setDefault

[static]

Specify a default value for the cache. This can not overwrite a manually specified value by the user.

Parameters:

conn | Connection to get binds for.
name | Name of the bind variable.
val | Value of the bind variable.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.